API ReferenceProduct Variants
Search product variants
Search a product's variants with filters, search terms, includes, and sort instructions in a JSON request body.
Search a product's variants with filters, search terms, includes, and sort instructions in a JSON request body.
POST
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
product*integerThe product path parameter.
X-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
application/json- body
filters?array<|>sort?array<>search?includes?array<>Successful response.
application/json- response
data*array<>links*meta*curl -X POST 'https://sell.app/api/v2/products/1/variants/search' \ -H 'X-STORE: launch-lab' \ -H 'Content-Type: application/json' \ -d '{ "filters": [ { "field": "id", "operator": "=", "value": 1 } ], "sort": [ { "field": "created_at", "direction": "desc" } ]}'{ "data": [ { "id": 1, "product_id": 1, "title": "Default", "description": "default variant", "deliverable": { "data": { "removeDuplicate": false, "parsingMode": "COMMA", "stock": 15, "comment": "Thanks for the purchase! I'll send you a contract by email. Make sure to sign it with your blood." }, "types": [ "MANUAL" ] }, "pricing": { "humble": false, "frequency": { "value": 1, "interval": "MONTH" }, "type": "SINGLE_PAYMENT", "price": { "price": "1999", "currency": "USD" } }, "minimum_purchase_quantity": 1, "maximum_purchase_quantity": null, "bulk_discount": [ { "discount_percentage": 5, "minimum_purchase_amount": 2 }, { "discount_percentage": 10, "minimum_purchase_amount": 5 } ], "payment_methods": [ "STRIPE" ], "other_settings": { "quantity_increments": 1, "discord_data_required": false }, "order": 1, "created_at": "2024-01-09T23:13:16.000000Z", "updated_at": "2024-01-10T17:27:01.000000Z", "deleted_at": null, "product": { "additional_information": [ { "required": true, "key": "3aecffd000e00e2211e94558007ffc37", "type": "CHECKBOX", "label": "Do you agree to the purchase terms?" } ] } } ], "links": { "first": "https://sell.app/api/v2/products/1/variants/search?page=1", "last": "https://sell.app/api/v2/products/1/variants/search?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "path": "https://sell.app/api/v2/products/1/variants/search", "per_page": 20, "to": 1, "total": 1, "links": [ { "url": null, "label": "« Previous", "active": false }, { "url": "https://sell.app/api/v2/products/1/variants/search?page=1", "label": "1", "active": true }, { "url": null, "label": "Next »", "active": false } ] }}